net.corda.core.serialization

## Class MissingAttachmentsException

-     public class MissingAttachmentsException

  Thrown during deserialisation to indicate that an attachment needed to construct the `class WireTransaction` is not found

  See Also:
    `class WireTransaction`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingAttachmentsException(java.util.List<? extends net.corda.core.crypto.SecureHash> ids)` Thrown during deserialisation to indicate that an attachment needed to construct the `class WireTransaction` is not found

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.crypto.SecureHash>` | `getIds()`

- - ### Constructor Detail

    - #### MissingAttachmentsException

          public MissingAttachmentsException(java.util.List<? extends net.corda.core.crypto.SecureHash> ids)

      Thrown during deserialisation to indicate that an attachment needed to construct the `class WireTransaction` is not found

      See Also:
        `class WireTransaction`

  - ### Method Detail

    - #### getIds

          public java.util.List<net.corda.core.crypto.SecureHash> getIds()